<head>

<body>
    <h1 class='header-main' id='header-main'>Basic To Do App</h1>
    
    <div>
        <div>
            <h3>Add New Task</h3>
            <input type='text' id='list-input' />
            <button class='btn' id='list-btn' onclick='addToList();'>
                Add To List
            </button>
        </div>

        <div>
            <h3>Current Tasks</h3>
            <ul id='list'>
                
            </ul>
            
        </div>
          
    </div>

    <script>
        
        function addToList() {
            const taskInput = document.getElementById('list-input')
            const inputValue = taskInput.value
            if (inputValue.length < 1) return

            //Item String
            const listItem = document.createElement('LI')
            const listItemText = document.createTextNode(inputValue)
            listItem.appendChild(listItemText)

            //Delete button
            var deleteButton = document.createElement("button");
            deleteButton.textContent = 'Delete';
            deleteButton.onclick = deleteTask; //bind deleteTask to delete button
            listItem.appendChild(deleteButton)

            //Bind new to do task to list
            document.getElementById('list').appendChild(listItem)
            //Clear input field
            taskInput.value = "";
            
            

        }

        //Delete an existing task
            var deleteTask = function () {
                var listItem = this.parentNode;
                var ul = listItem.parentNode;

                //Remove the parent list item from the ul
                ul.removeChild(listItem);
            }
        
    </script>
</body>
</head>